Bug 1409982 - Clicking "Add me to CC list" in Possible Duplicates shouldn't load a new page in the current browser tab
Summary: Clicking "Add me to CC list" in Possible Duplicates shouldn't load a new page...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 05:09 UTC by Jason McDonald
Modified: 2019-01-24 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 00:03:29 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-04 05:09:40 UTC
Description of problem:
When entering a new bug, Bugzilla shows a list of Possible Duplicates as I type the Summary.  For each of the potential duplicates, there's an "Add Me to the CC List" link.

If I click that link, it loads the referenced bug in the current tab, in which I have unsaved changes (my partially complete bug report).  It would be more user friendly to either open a new tab to add the CC or to just add the CC in the background.

Version-Release number of selected component (if applicable):
4.4 (current production) and 5.0.3. (beta.bugzilla.redhat.com)

How reproducible:
Always

Steps to Reproduce:
1. Go to New->Community->Bugzilla.
2. In the Summary field enter "Bugzilla"
3. Click the "Add Me to CC List" link for the first possible duplicate.

Actual results:
The current tab reloads with the clicked URL.

Expected results:
Either:
- The clicked URL opens in a new tab, or
- The addition to CC list happens in the background, with some kind of user feedback when it completes (e.g. the link changes to "Remove Me from CC List").

Additional info:
none

Comment 1 Jeff Fearn 🐞 2017-01-16 00:45:34 UTC
FWIW left click opening a link is an evil I will never participate in. Left click means go to this URL, there are other buttons and ways of clicking that tell the browser to open the link in another tab.

Making it an Ajax call appears reasonable.

Comment 2 Jeff Fearn 🐞 2017-01-16 00:46:17 UTC
s/a link/a link in another tab/

Comment 3 Jeff Fearn 🐞 2019-01-24 00:03:29 UTC
In preparation for entering maintenance mode we are closing bugs that are unlikely to be scheduled in maintenance sprints.


Note You need to log in before you can comment on or make changes to this bug.